package com.avinashgotluru.zendesk_classic;

import android.content.Context;

public abstract class ZendeskBase {
    abstract void init(Context context, String zendeskUrl, String appId, String oauthClientId, String chatAccountKey);
    abstract void initZendesk(Context context, String zendeskUrl, String appId, String oauthClientId);
    abstract void initZendeskSupport();
    abstract void initZendeskBot();
    abstract void initZendeskChat(Context context, String chatAccountKey);
    abstract void setIdentity(String token);
    abstract void resetIdentity();
}
